On 12/8/06, Parv G. <ghotrapa / yahoo.com> wrote:
> Newbie question (s) /problem:
> I have ruby 1.8.5 on windows xp.
> when i type "ruby -v" in command line i keep getting the message:
> "'ruby' is not recognized as an internal or external command,
> operable program or batch file."
>
> Does ruby 1.8.5 (on clicker) come with rubygem? or do i have to install
> rubygem separately?

Your system doesn't know where to look for ruby.exe.

Add c:\ruby\bin to your PATH (My Computer, right-click, properties,
Advanced, Environment Variables, find the line with PATH, add
c:\ruby\bin (or wherever you have it installed) at the end, separate
with ; from previous item.

and while you're at it, look if you have a variable named RYBUOPT with
'rubygems' and if not, add one (this will enable rubygems by default)